import React from "react";
import { useNavigate } from "react-router-dom";
import FrameImage from "../assets/images/page3.svg";

const AgentStatus = () => {
  const navigate = useNavigate(); // Hook to navigate pages

  return (
    <div className="flex items-center justify-center min-h-screen" style={{ background: '#E9FAFF' }}>
      <div className="absolute top-[66px] left-[139px]">
        <h1 className="font-montserrat font-bold text-[48.31px] leading-[100%]">
          OMPOI - Seller
        </h1>
      </div>

      <div className="absolute top-[194px] left-[134px] bg-white p-8 rounded-[32.6px] w-[1460.608px] h-[729px] flex">
        {/* Left Side - Illustration */}
        <div className="w-1/2 flex items-center justify-center p-5">
        <img src={FrameImage} alt="Illustration" className="w-full h-auto" />
        </div>

        {/* Divider */}
        <div className="absolute"
          style={{
            height: '624.67px', // Vertical height
            width: '1.3px', // Thin border
            top: '52.16px',
            left: '730.3px',
            backgroundColor: '#E2E7EE'
          }}>
        </div>

        {/* Right Side - Status Section */}
        <div className="w-1/2 p-10 flex flex-col justify-center">
          <h2 className="absolute top-[89px] left-[794px] font-montserrat font-semibold text-[33.91px] leading-[100%]">
            Status
          </h2>

          <div className="absolute top-[149px] left-[788px] bg-[#FFF1CC] p-5 rounded-[12px] border border-transparent w-[610px] h-[439px]" style={{ boxShadow: "6px 6px 0px 0px #000000" }}>
            <div style={{
              width: '183px',
              height: '32px',
              top: '20px',
              left: '33px',
              color: '#45505F',
              fontSize: 22,
              fontFamily: 'Montserrat',
              fontWeight: '500',
              lineHeight: '31.30px',
              letterSpacing: '0.13px',
              wordWrap: 'break-word'
            }}>
              Company Name
            </div>
            <div style={{
              width: '154px',
              height: '32px',
              left: '44px',
              top: '52px',
              color: 'black',
              fontSize: 20,
              fontFamily: 'Montserrat',
              fontWeight: '600',
              lineHeight: '31.30px',
              letterSpacing: '0.13px',
              wordWrap: 'break-word'
            }}>
              ABCD PVT LTD
            </div>

            <div style={{
              width: '206px',
              height: '32px',
              top: '100px',
              left: '28px',
              color: '#45505F',
              fontSize: 22,
              fontFamily: 'Montserrat',
              fontWeight: '500',
              lineHeight: '31.30px',
              letterSpacing: '0.13px',
              wordWrap: 'break-word'
            }}>
              Company Address
            </div>
            <div style={{
              width: '247px',
              height: '72px',
              top: '132px',
              left: '41px',
              color: 'black',
              fontSize: 20,
              fontFamily: 'Montserrat',
              fontWeight: '500',
              lineHeight: '100%',
              letterSpacing: '0.13px',
              wordWrap: 'break-word'
            }}>
              Shop No: 45 ABC Street <br /> Mylapore <br /> Chennai - 600004
            </div>

            <div style={{
              width: '206px',
              height: '32px',
              top: '219px',
              left: '33px',
              color: '#45505F',
              fontSize: 22,
              fontFamily: 'Montserrat',
              fontWeight: '600',
              lineHeight: '31.30px',
              letterSpacing: '0.13px',
              wordWrap: 'break-word'
            }}>
              Agent Details
            </div>
            <div style={{
              width: '206px',
              height: '32px',
              top: '255px',
              left: '49px',
              color: '#45505F',
              fontSize: 22,
              fontFamily: 'Montserrat',
              fontWeight: '500',
              lineHeight: '31.30px',
              letterSpacing: '0.13px',
              wordWrap: 'break-word'
            }}>
              Agent Name
            </div>
            <div style={{
              width: '85px',
              height: '24px',
              top: '293px',
              left: '49px',
              color: 'black',
              fontSize: 20,
              fontFamily: 'Montserrat',
              fontWeight: '500',
              lineHeight: '100%',
              letterSpacing: '0.13px',
              wordWrap: 'break-word'
            }}>
              Gopal M
            </div>
            <div style={{
              width: '206px',
              height: '32px',
              top: '323px',
              left: '49px',
              color: '#45505F',
              fontSize: 22,
              fontFamily: 'Montserrat',
              fontWeight: '500',
              lineHeight: '31.3px',
              letterSpacing: '0.13px',
              wordWrap: 'break-word'
            }}>
              Agent Number
            </div>
            <div style={{
              width: '164px',
              height: '24px',
              top: '363px',
              left: '48px',
              color: '#000000',
              fontSize: 20,
              fontFamily: 'Montserrat',
              fontWeight: '500',
              lineHeight: '100%',
              letterSpacing: '0.13px',
              wordWrap: 'break-word'
            }}>
              +91-12345 69870
            </div>

            {/* Status Badge - Clickable Button */}
            <button
              onClick={() => navigate("/agent-assigned")}
              className="absolute top-[30px] left-[416px] text-black px-4 py-1 rounded-full text-sm font-semibold cursor-pointer w-[167px] h-[44px]"
              style={{ border: "3px solid #FFD255", backgroundColor: "transparent" }}
            >
              <span style={{ 
                width: '91px',
                height: '25px',
                top: '10px',
                left: '38px',
                color: '#101418',
                fontFamily: 'Montserrat', 
                fontWeight: 500, 
                fontSize: '20.91px', 
                lineHeight: '100%', 
                letterSpacing: '0px' 
              }}>
                Pending
              </span>
            </button>
          </div>
        </div>
      </div>
    </div>
  );
};

export default AgentStatus;
